> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Apple

> Links the Apple account associated with the token to the user's PlayFab account.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| AccountLinkedToABannedPlayer | 1613 |
| AppleNotEnabledForTitle | 1501 |
| InvalidIdentityProviderId | 1263 |
| LinkedIdentifierAlreadyClaimed | 1184 |
| TokenSigningKeyNotFound | 1568 |




## OpenAPI

````yaml /services/playfab/api-references/rest/client/client.openapi.json post /Client/LinkApple
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Client API
  description: >-
    APIs which provide the full range of PlayFab features available to the
    client - authentication, account and data management, inventory, friends,
    matchmaking, reporting, and platform-specific functionality
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Advertising
    description: Advertising APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Trading
    description: Trading Management APIs
paths:
  /Client/LinkApple:
    post:
      tags:
        - Account Management
      summary: Link Apple
      description: >
        Links the Apple account associated with the token to the user's PlayFab
        account.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | AccountLinkedToABannedPlayer | 1613 |

        | AppleNotEnabledForTitle | 1501 |

        | InvalidIdentityProviderId | 1263 |

        | LinkedIdentifierAlreadyClaimed | 1184 |

        | TokenSigningKeyNotFound | 1568 |
      operationId: LinkApple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkAppleRequest'
      responses:
        '200':
          $ref: '#/components/responses/EmptyResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SessionTicket: []
components:
  schemas:
    LinkAppleRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        ForceLink:
          description: >-
            If another user is already linked to a specific Apple account,
            unlink the other user and re-link.
          type: boolean
        IdentityToken:
          description: >-
            The JSON Web token (JWT) returned by Apple after login. Represented
            as the identityToken field in the authorization credential payload.
            Used to validate the request and find the user ID (Apple subject) to
            link with.
          type: string
      required:
        - IdentityToken
      example:
        IdentityToken: eyJraWQi...
    EmptyResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EmptyResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SessionTicket:
      type: apiKey
      in: header
      name: X-Authorization
      description: >-
        This API requires a client session ticket, available from any Client
        Login function.

````

## Related topics

- [Link Apple](/services/playfab/api-references/rest/client/account-management/link-apple.md)
- [PFAccountManagementLinkAppleRequest](/services/playfab/api-references/c/pfaccountmanagementtypes/structs/pfaccountmanagementlinkapplerequest.md)
- [PFAccountManagementClientLinkAppleAsync](/services/playfab/api-references/c/pfaccountmanagement/functions/pfaccountmanagementclientlinkappleasync.md)
- [PFAuthenticationLoginWithAppleAsync](/services/playfab/api-references/c/pfauthentication/functions/pfauthenticationloginwithappleasync.md)
- [PFAccountManagementClientUnlinkAppleAsync](/services/playfab/api-references/c/pfaccountmanagement/functions/pfaccountmanagementclientunlinkappleasync.md)
